CVE-2023-43898

NameCVE-2023-43898
DescriptionNothings stb 2.28 was discovered to contain a Null Pointer Dereference via the function stbi__convert_format. This vulnerability allows attackers to cause a Denial of Service (DoS) via a crafted pic file.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
Debian Bugs1053627

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libstb (PTS)buster0.0~git20180212.15.e6afb9c-1vulnerable
buster (security)0.0~git20180212.15.e6afb9c-1+deb10u1vulnerable
bullseye0.0~git20200713.b42009b+ds-1vulnerable
bookworm0.0~git20220908.8b5f1f3+ds-1vulnerable
trixie0.0~git20230129.5736b15+ds-1vulnerable
sid0.0~git20230129.5736b15+ds-1.2vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libstbsource(unstable)(unfixed)1053627

Notes

[bookworm] - libstb <no-dsa> (Minor issue)
[bullseye] - libstb <no-dsa> (Minor issue)
[buster] - libstb <postponed> (Minor issue, DoS / clean crash)
https://github.com/nothings/stb/issues/1452
Proposed fixes: https://github.com/nothings/stb/pull/1454
https://github.com/nothings/stb/issues/1521

Search for package or bug name: Reporting problems